// RuntimeForStatic base library | C+- (SysRoutine) | Author: Sergei Y.Kitáev
#include "Precompiled.h"
#include "SharedIncludes.h"
namespace RuntimeForStatic {
//==================================================================================================

$ErrorType::$ErrorType()
{
   $CLEAR_INSTANCE();
}

$ErrorType::$ErrorType(int typeCode)
{
   _TypeCode_ = typeCode;
}

//--------------------------------------------------------------------------------------------------

$ErrorType::operator int()
{
   return _TypeCode_;
}

bool $ErrorType::operator == ($ErrorType errorType) const
{
   return _TypeCode_ == errorType._TypeCode_;
}
bool $ErrorType::operator == (int errorTypeCode) const
{
   return _TypeCode_ == errorTypeCode;
}

bool $ErrorType::operator != ($ErrorType errorType) const
{
   return _TypeCode_ != errorType._TypeCode_;
}
bool $ErrorType::operator != (int errorTypeCode) const
{
   return _TypeCode_ != errorTypeCode;
}

//--------------------------------------------------------------------------------------------------

int $ErrorType::GetTypeCode()
{
   return _TypeCode_;
}

//==================================================================================================
} // RuntimeForStatic
